Name:           ncdu2
Version:        2.7
Release:        1%{?dist}
Summary:        Text-based disk usage viewer

License:        MIT
URL:            https://dev.yorhel.nl/ncdu/
Source0:        https://dev.yorhel.nl/download/ncdu-%{version}.tar.gz

ExclusiveArch:  %{zig_arches}

BuildRequires:  gcc
BuildRequires:  (zig >= 0.12.0 with zig < 0.14)
BuildRequires:  zig-rpm-macros
BuildRequires:  libzstd-devel
BuildRequires:  ncurses-devel

Conflicts:      ncdu < 2

%description
Ncdu is a disk usage analyzer with an ncurses interface. It is designed
to find space hogs on a remote server where you don't have an entire
graphical setup available, but it is a useful tool even on regular desktop
systems. Ncdu aims to be fast, simple and easy to use, and should be able
to run in any minimal POSIX-like environment with ncurses installed.

%prep
%autosetup -n ncdu-%{version}

%build
%zig_build

%install
%zig_install
install -D -m 0644 -pv -t %{buildroot}%{_mandir}/man1 ncdu.1

%files
%doc ChangeLog README.md
%license LICENSES/MIT.txt
%{_bindir}/ncdu
%{_mandir}/man1/ncdu.1*

%changelog
* Wed Nov 27 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.7-1
- Update to 2.7

* Sun Oct 27 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.6-1
- Update to 2.6

* Mon Jan 15 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.3-1
- Update to 2.3

* Fri Oct 28 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Tue May 10 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2

* Wed Apr 13 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.1.1-1
- New package for ncdu2 2.1.1
